Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.gui
Class ExtendedGridBagConstraints

    java.lang.Object
      java.awt.GridBagConstraints
          org.apache.batik.util.gui.ExtendedGridBagConstraints

All Implemented Interfaces:
  Serializable, Cloneable

    public class ExtendedGridBagConstraints

extends GridBagConstraints

This class extends the java.awt.GridBagConstraints in order to provide some utility methods.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.GridBagConstraints
`ABOVE_BASELINE, ABOVE_BASELINE_LEADING, ABOVE_BASELINE_TRAILING, anchor, BASELINE, BASELINE_LEADING, BASELINE_TRAILING, BELOW_BASELINE, BELOW_BASELINE_LEADING, BELOW_BASELINE_TRAILING, BOTH, CENTER, EAST, fill, FIRST_LINE_END, FIRST_LINE_START, gridheight, gridwidth, gridx, gridy, HORIZONTAL, insets, ipadx, ipady, LAST_LINE_END, LAST_LINE_START, LINE_END, LINE_START, NONE, NORTH, NORTHEAST, NORTHWEST, PAGE_END, PAGE_START, RELATIVE, REMAINDER, SOUTH, SOUTHEAST, SOUTHWEST, VERTICAL, weightx, weighty, WEST`

Constructor Summary
`ExtendedGridBagConstraints()`

Method Summary
`void` | `setGridBounds(int x, int y, int width, int height)` Modifies gridx, gridy, gridwidth, gridheight.
`void` | `setWeight(double weightx, double weighty)` Modifies the weightx and weighty.

Methods inherited from class java.awt.GridBagConstraints
`clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedGridBagConstraints

    public ExtendedGridBagConstraints()

Method Detail

### setGridBounds

    public void setGridBounds(int x,
                              int y,
                              int width,
                              int height)

  Modifies gridx, gridy, gridwidth, gridheight.

  Parameters:
    `x` - The value for gridx.
    `y` - The value for gridy.
    `width` - The value for gridwidth.
    `height` - The value for gridheight.

### setWeight

    public void setWeight(double weightx,
                          double weighty)

  Modifies the weightx and weighty.

  Parameters:
    `weightx` - The value for weightx
    `weighty` - The value for weighty

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.